<nz-modal [nzTitle]="data.id?'编辑权限':'新建权限'" [nzVisible]="isVisible"
    (nzOnCancel)="close()" [nzOkDisabled]="!data.name||!data.code" (nzOnOk)="onOk()">
    <ng-template nzModalContent>
        <div>
            <app-input label="名字" [(value)]="data.name"></app-input>
        </div>
        <div style="margin-top: 5px;">
            <app-input label="编码" [(value)]="data.code"></app-input>
        </div>
        <div style="margin-top: 5px;">
            <app-permission-select label="上级" [(value)]="data.parent_id" [disabledID]="data.id"></app-permission-select>
        </div>
        <div style="margin-top: 5px;">
            <nz-input-group nzAddOnBefore="排序">
                <nz-input-number [(ngModel)]="data.sort" [nzMin]="0"></nz-input-number>
            </nz-input-group>
        </div>
    </ng-template>
</nz-modal>